import request from '@/utils/request'

/**
 * 黑名单任务列表（分页）
 * @param data
 * @returns {*}
 */
export function getList(data) {
  return request({
    url: '/api/oper/page',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}

/**
 * 所属模块枚举列表
 * @returns {*}
 */
export function getOperationTagList() {
  return request({
    url: '/api/oper/tag/list',
    method: 'post'
  })
}

/**
 * 业务类型枚举列表
 * @returns {*}
 */
export function getOperationBusinessTagList() {
  return request({
    url: '/api/oper/Business/type/list',
    method: 'post'
  })
}
